Name:          zanata-python-client
Version:       1.5.3
Release:    1%{?dist}
Summary:       Python3 Client for Zanata Server
License:       LGPL-2.0-or-later
URL:           http://zanata.org
Source0:       https://github.com/zanata/zanata-python-client/archive/v%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-setuptools
BuildRequires: python3-devel

%global _description\
Zanata Python client is a client that communicate with Zanata server.

%description %_description

%package -n python3-zanata-client
Summary:       %summary
Requires:      python3dist(polib)
Requires:      python3dist(httplib2)
Requires:      python3dist(lxml)
Requires:      python3dist(future)
%{?python_provide:%python_provide python3-zanata-client}

%description -n python3-zanata-client %_description

%prep
%autosetup

%build
%py3_build
cp -pr zanataclient/VERSION-FILE build/lib/zanataclient

%install
%py3_install

rm -rf %{buildroot}/%{_docdir}

%files -n python3-zanata-client
%doc README.rst zanata.ini zanata_example.xml CHANGELOG
%license COPYING.LESSER
%{_bindir}/flies
%{_bindir}/zanata
%{python3_sitelib}/zanataclient
%{python3_sitelib}/zanata_python_client-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.3-1
- initial build
